Last Comment Bug 486081 - nsTime should be removed
: nsTime should be removed
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: XPCOM (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla8
Assigned To: Yu-Hsun Lin
:
Mentors:
Depends on: 508558
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-31 01:39 PDT by Robert O'Callahan (:roc) (Exited; email my personal email if necessary)
Modified: 2011-07-20 06:48 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch that removes nsTime.h and it's related lines (8.05 KB, patch)
2009-08-04 18:12 PDT, Yu-Hsun Lin
roc: review+
Details | Diff | Splinter Review
An rebased version (6.53 KB, patch)
2011-07-18 11:33 PDT, Jeff Muizelaar [:jrmuizel]
no flags Details | Diff | Splinter Review
A rebased version (7.67 KB, patch)
2011-07-18 11:46 PDT, Jeff Muizelaar [:jrmuizel]
no flags Details | Diff | Splinter Review

Description Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2009-03-31 01:39:37 PDT
http://mxr.mozilla.org/mozilla-central/search?string=nstime[^A-Za-z]&regexp=on&find=&findi=&filter=^[^\0]*%24&hitlimit=&tree=mozilla-central

It looks like the only actual uses of this is some code that's #if defined(DEBUG_waterson) || defined(DEBUG_hyatt). That should just be deleted.
Comment 1 Yu-Hsun Lin 2009-08-04 18:12:45 PDT
Created attachment 392638 [details] [diff] [review]
patch that removes nsTime.h and it's related lines

patch
Comment 2 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2009-08-04 18:30:20 PDT
Comment on attachment 392638 [details] [diff] [review]
patch that removes nsTime.h and it's related lines

Great, thanks!
Comment 3 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2009-08-04 18:31:18 PDT
In future you should request review for your patches, from a particular person. If you ask around someone will tell you who, if you don't know.
Comment 4 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2009-08-04 21:44:00 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Thunderbird/1249440407.1249442340.13431.gz

Thunderbird still uses nsTime, apparently, so I backed this out :-(.

I wonder who else might still be using it...
Comment 6 Serge Gautherie (:sgautherie) 2009-08-05 04:57:32 PDT
(In reply to comment #5)
> Use http://mxr.mozilla.org/comm-central/, which includes both mozilla-central
> and comm-central:

Fwiw, currently it's c-c + m-1.9.1 (+ others).

***

http://mxr.mozilla.org/comm-central/search?string=nsTime&case=on&find=%2Fmailnews%2F
Can you file a MailNews Core bug about this? (assuming it's to be "fixed".)
Comment 7 Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg] 2009-08-05 06:24:10 PDT
Mailnews should import the nsTime code if it wishes to continue using it.
Comment 8 timeless 2009-08-05 12:46:47 PDT
to make searching bugzilla easier, roc's backout is:
http://hg.mozilla.org/mozilla-central/rev/1f823d3b7fbf
"Backoug but 586081, mailnews still uses nsTime"
Comment 9 Steffen Wilberg 2011-02-27 07:40:02 PST
Mailnews is still working on getting rid of nsTime in bug 508558. But in the meantime, bug 435296 started using it in /modules/libpr0n/src/RasterImage.cpp:
http://mxr.mozilla.org/mozilla-central/search?string=nstime&find=RasterImage.cpp&tree=mozilla-central
Comment 10 Jeff Muizelaar [:jrmuizel] 2011-07-18 11:33:32 PDT
Created attachment 546585 [details] [diff] [review]
An rebased version

Thunderbird doesn't seem to be using nsTime anymore so I plan on landing this.
Comment 11 Jeff Muizelaar [:jrmuizel] 2011-07-18 11:46:35 PDT
Created attachment 546589 [details] [diff] [review]
A rebased version
Comment 12 Blake Winton (:bwinton) (:☕️) 2011-07-18 12:01:54 PDT
Pushed to c-c try at http://build.mozillamessaging.com/tinderboxpushlog/?tree=ThunderbirdTry&rev=d2995582b09c
Also building on my local Windows box.
Comment 13 Blake Winton (:bwinton) (:☕️) 2011-07-18 12:25:08 PDT
Or, you know, http://build.mozillamessaging.com/tinderboxpushlog/?tree=ThunderbirdTry&rev=c5a83a2482b0 with the added patch that will actually work.
Comment 14 Marco Bonardo [::mak] (Away 6-20 Aug) 2011-07-20 06:48:53 PDT
http://hg.mozilla.org/mozilla-central/rev/3c155b728fe8

Note You need to log in before you can comment on or make changes to this bug.